Name: scite 
Version: 1.71
Release: 1%{?dist}
Summary: SCIntilla based GTK2 text editor
License: MIT
Group: Applications/Editors
Url: http://www.scintilla.org/SciTE.html

Source0: http://download.sourceforge.net/scintilla/scite171.tgz
patch0: scintilla-makefile-flags.patch
patch1: scite-makefile.patch
patch2: scite-use-htmlview.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils

%description
SciTE is a SCIntilla based Text Editor. Originally built to demonstrate
Scintilla, it has grown to be a generally useful editor with facilities for
building and running programs.

%prep
%setup -q -c
%patch0
%patch1
%patch2

# fix .desktop file encoding
iconv -f ISO-8859-1 -t utf-8 scite/gtk/SciTE.desktop -o scite/gtk/SciTE.desktop.new
mv scite/gtk/SciTE.desktop.new scite/gtk/SciTE.desktop

%build
make %{?_smp_mflags} OPTFLAGS="%{optflags}" -C scintilla/gtk
make %{?_smp_mflags} OPTFLAGS="%{optflags}" -C scite/gtk

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} -C scite/gtk install
ln -s SciTE %{buildroot}%{_bindir}/scite

# include man-page
mkdir -p %{buildroot}%{_mandir}/man1/
mv scite/doc/scite.1 %{buildroot}%{_mandir}/man1/

desktop-file-install --vendor fedora --delete-original	\
  --dir %{buildroot}%{_datadir}/applications   	        \
  --add-category X-Fedora			        \
  %{buildroot}%{_datadir}/applications/SciTE.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc scite/README scite/License.txt
%{_mandir}/man1/scite.1*
%{_bindir}/SciTE
%{_bindir}/scite
%{_datadir}/scite/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Fri Sep 01 2006 Jorge Torres <jtorresh@gmail.com> 1.71-1
- Upgrade to 1.71
- Use 'iconv' to work around a desktop file encoding issue

* Thu Jun 22 2006 Jorge Torres <jtorresh@gmail.com> 1.70-1
- Upgrade to 1.70
- Drop man-page capitalization patch

* Sun Jun 04 2006 Jorge Torres <jtorresh@gmail.com> 1.69-3
- Remove usage of MultipleArgs in desktop file.

* Fri Jun 02 2006 Jorge Torres <jtorresh@gmail.com> 1.69-2
- Changed license to MIT.
- Added patches to support compiling with %%{optflags}.
- Misc fixes.

* Thu Jun 01 2006 Jorge Torres <jtorresh@gmail.com> 1.69-1
- Initial package version.
